* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.timeline {
    position: relative;
    max-width: 1200px;
    margin: 70px auto;
}

.timeline-container {
    padding: 10px 50px;
    position: relative;
    width: 50%;
    animation: movedown 1s linear forwards;
    opacity: 0;
}

@keyframes movedown {
    0% {
        opacity: 1;
        transform: translateY(-30px);
    }

    100% {
        opacity: 1;
        transform: translateY(0px);
    }
}

.timeline-container:nth-child(1) {
    animation-delay: 0s;
}

.timeline-container:nth-child(2) {
    animation-delay: 1s;
}

.timeline-container:nth-child(3) {
    animation-delay: 2s;
}

.timeline-container:nth-child(4) {
    animation-delay: 3s;
}

.timeline-container:nth-child(5) {
    animation-delay: 4s;
}

.timeline-container:nth-child(6) {
    animation-delay: 5s;
}

.timeline-container img {
    position: absolute;
    width: 50px;
    border-radius: 50%;
    right: -25px;
    top: 27px;
    z-index: 1;
    background-color: var(--color-white);
    padding: 5px;
    box-shadow: -10px 0 10px rgba(0, 0, 0, 0.1);
    transition: all .5s;
}

.timeline-container img:hover {
    scale: 107%;
}

.text-box {
    padding: 20px 30px;
    background: var(--color-white);
    position: relative;
    border-radius: 10px;
    font-size: 1rem;
    letter-spacing: 0.06rem;
    line-height: 1.3rem;
    text-align: justify;
    transition: all .5s;
    cursor: default;
    box-shadow: -10px 0 10px rgba(0, 0, 0, 0.06);
}

.text-box:hover {
    scale: 103%;
}

.timeline-title {
    font-weight: 600;
    margin-bottom: 5px;
    color: var(--color-two);
    letter-spacing: 0.07rem;
}

.left-container {
    left: 0;
}

.right-container {
    left: 50%;
}

.right-container img {
    left: -25px;
}

.timeline::after {
    content: '';
    position: absolute;
    width: 6px;
    height: 100%;
    background: var(--color-white);
    top: 0;
    left: 50%;
    margin-left: -3px;
    z-index: -1;
    animation: moveline 6s linear forwards;
}

@keyframes moveline {
    0% {
        height: 0;
    }

    100% {
        height: 100%;
    }
}

.left-container-arrow {
    height: 0;
    width: 0;
    position: absolute;
    top: 28px;
    z-index: 1;
    border-top: 15px solid transparent;
    border-bottom: 15px solid transparent;
    border-left: 15px solid var(--color-white);
    right: -15px;
}

.right-container-arrow {
    height: 0;
    width: 0;
    position: absolute;
    top: 28px;
    z-index: 1;
    border-top: 15px solid transparent;
    border-bottom: 15px solid transparent;
    border-right: 15px solid var(--color-white);
    left: -15px;
}

.image-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    z-index: -100;
    position: absolute;
    top: 60%;
}

.icon-background {
    width: 20%;
    opacity: 0.5;
    z-index: -100;
    margin: 0 70px;
}

.subtitle {
    font-weight: 300;
    font-size: 1.2rem;
    color: var(--color-two);
    text-align: center;
}

.highlighTitle {
    margin-bottom: 1rem;
}

@media (max-width: 900px) {
    .icon-background {
        display: none;
    }
}


@media screen and (max-width: 600px) {

    .timeline {
        margin: 50px auto;
    }

    .timeline::after {
        left: 31px;
    }

    .timeline-container {
        width: 100%;
        padding-left: 80px;
        padding-right: 25px;
    }

    .text-box {
        text-align: left;
    }

    .right-container {
        left: 0;
    }

    .left-container img,
    .right-container img {
        left: 10px;
    }

    .left-container-arrow,
    .right-container-arrow {
        border-right: 15px solid var(--color-white);
        border-left: 0;
        left: -15px;
    }

    .subtitle {
        font-size: 1.1rem;
    }
}